﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace SlnMesnac.Model.domain
{
    ///<summary>
    ///产品参数
    ///</summary>
    [SugarTable("base_product_param"), TenantAttribute("iot")]
    public partial class base_product_param
    {
           public base_product_param(){


           }
           /// <summary>
           /// Desc:标识
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true,IsIdentity=true,ColumnName="objId")]
           public int objid {get;set;}

           /// <summary>
           /// Desc:产品标识
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="product_code")]           
           public string productCode {get;set;}

           /// <summary>
           /// Desc:参数标题
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="param_title")]           
           public string paramTitle {get;set;}

           /// <summary>
           /// Desc:参数内容
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="param_content")]           
           public string paramContent {get;set;}

           /// <summary>
           /// Desc:创建人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="created_by")]           
           public string createdBy {get;set;}

           /// <summary>
           /// Desc:创建时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="created_time")]           
           public DateTime? createdTime {get;set;}

           /// <summary>
           /// Desc:更新人
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="updated_by")]           
           public string updatedBy {get;set;}

           /// <summary>
           /// Desc:更新时间
           /// Default:
           /// Nullable:True
           /// </summary>
           [SugarColumn(ColumnName="updated_time")]           
           public DateTime? updatedTime {get;set;}

    }
}
