﻿using SlnMesnac.WPF.Attribute;
using SlnMesnac.WPF.ViewModel.ProductDetails;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SlnMesnac.WPF.Page.ProductDetails
{
    /// <summary>
    /// ProductDetailsControl.xaml 的交互逻辑
    /// </summary>
    [RegisterAsSingletonAttribute]
    public partial class ProductDetailsControl : UserControl
    {
        public ProductDetailsControl(ProductDetailsViewModel productDetailsViewModel)
        {
            InitializeComponent();
            this.DataContext = productDetailsViewModel;
        }
    }
}
