﻿using SlnMesnac.WPF.Attribute;
using SlnMesnac.WPF.ViewModel;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SlnMesnac.WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    [RegisterAsSingletonAttribute]
    public partial class MainWindow : Window
    {
        public MainWindow(MainWindowViewModel mainWindowViewModel)
        {
            InitializeComponent();
            this.Closing += Application_Closing;
            this.DataContext = mainWindowViewModel;
        }
        private void Application_Closing(object sender, CancelEventArgs e)
        {
            Application.Current.Shutdown();
            // 在此处执行退出事件处理逻辑
        }
    }
}
